/*
*
* CwBdAccounting.java
* Copyright(C) 2017-2020 DHCC
* @date 2019-06-13
*/
package com.dhcc.finance.main.domain;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwBdAccounting",description = "人员设置")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdAccounting {
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键", required = true, example = "")
    private String pkAccounting;

    /**
     * 制单人
     */
    @ApiModelProperty(value = "制单人", required = false, example = "")
    private String pkPrepared;

    /**
     * 审核人
     */
    @ApiModelProperty(value = "审核人", required = false, example = "")
    private String pkAudit;

    /**
     * 记账人
     */
    @ApiModelProperty(value = "记账人", required = false, example = "")
    private String pkSign;

    /**
     * 启用状态
     */
    @ApiModelProperty(value = "启用状态", required = false, example = "")
    private String enablestate;

    /**
     * 使用状态
     */
    @ApiModelProperty(value = "使用状态", required = false, example = "")
    private String useState;

    /**
     * 录入人员
     */
    @ApiModelProperty(value = "录入人员", required = false, example = "")
    private String createUser;

    /**
     * 录入时间
     */
    @ApiModelProperty(value = "录入时间", required = false, example = "")
    private Date createTime;

    /**
     * 最后修改人员
     */
    @ApiModelProperty(value = "最后修改人员", required = false, example = "")
    private String updateUser;

    /**
     * 最后修改时间
     */
    @ApiModelProperty(value = "最后修改时间", required = false, example = "CURRENT_TIMESTAMP")
    private Date updateTime;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", required = false, example = "")
    private String remark;

    /**
     * 主键
     * @return PK_ACCOUNTING 主键
     */
    public String getPkAccounting() {
        return pkAccounting;
    }

    /**
     * 主键
     * @param pkAccounting 主键
     */
    public void setPkAccounting(String pkAccounting) {
        this.pkAccounting = pkAccounting == null ? null : pkAccounting.trim();
    }

    /**
     * 制单人
     * @return PK_PREPARED 制单人
     */
    public String getPkPrepared() {
        return pkPrepared;
    }

    /**
     * 制单人
     * @param pkPrepared 制单人
     */
    public void setPkPrepared(String pkPrepared) {
        this.pkPrepared = pkPrepared == null ? null : pkPrepared.trim();
    }

    /**
     * 审核人
     * @return PK_AUDIT 审核人
     */
    public String getPkAudit() {
        return pkAudit;
    }

    /**
     * 审核人
     * @param pkAudit 审核人
     */
    public void setPkAudit(String pkAudit) {
        this.pkAudit = pkAudit == null ? null : pkAudit.trim();
    }

    /**
     * 记账人
     * @return PK_SIGN 记账人
     */
    public String getPkSign() {
        return pkSign;
    }

    /**
     * 记账人
     * @param pkSign 记账人
     */
    public void setPkSign(String pkSign) {
        this.pkSign = pkSign == null ? null : pkSign.trim();
    }

    /**
     * 启用状态
     * @return ENABLESTATE 启用状态
     */
    public String getEnablestate() {
        return enablestate;
    }

    /**
     * 启用状态
     * @param enablestate 启用状态
     */
    public void setEnablestate(String enablestate) {
        this.enablestate = enablestate == null ? null : enablestate.trim();
    }

    /**
     * 使用状态
     * @return USE_STATE 使用状态
     */
    public String getUseState() {
        return useState;
    }

    /**
     * 使用状态
     * @param useState 使用状态
     */
    public void setUseState(String useState) {
        this.useState = useState == null ? null : useState.trim();
    }

    /**
     * 录入人员
     * @return CREATE_USER 录入人员
     */
    public String getCreateUser() {
        return createUser;
    }

    /**
     * 录入人员
     * @param createUser 录入人员
     */
    public void setCreateUser(String createUser) {
        this.createUser = createUser == null ? null : createUser.trim();
    }

    /**
     * 录入时间
     * @return CREATE_TIME 录入时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 录入时间
     * @param createTime 录入时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 最后修改人员
     * @return UPDATE_USER 最后修改人员
     */
    public String getUpdateUser() {
        return updateUser;
    }

    /**
     * 最后修改人员
     * @param updateUser 最后修改人员
     */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser == null ? null : updateUser.trim();
    }

    /**
     * 最后修改时间
     * @return UPDATE_TIME 最后修改时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后修改时间
     * @param updateTime 最后修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 备注
     * @return REMARK 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }
}